BlorbFile
Keywords: org.p2c2e.blorb.BlorbFile class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.blorb
Class BlorbFile

    java.lang.Object
      org.p2c2e.blorb.BlorbFile

public class BlorbFile
extends java.lang.Object

Nested Class Summary
`static class` | `BlorbFile.BlorbInputStream`
`class` | `BlorbFile.Chunk`

Field Summary
`static java.lang.String` | `AIFF`
`static java.lang.String` | `ANNO`
`static java.lang.String` | `AUTH`
`static java.lang.String` | `COPY`
`static int` | `EXEC`
`static java.lang.String` | `FORM`
`static java.lang.String` | `GLUL`
`static java.lang.String` | `IFHD`
`static java.lang.String` | `JPEG`
`static java.lang.String` | `LOOP`
`static java.lang.String` | `MOD`
`static int` | `PICT`
`static java.lang.String` | `PLTE`
`static java.lang.String` | `PNG`
`static java.lang.String` | `RELN`
`static java.lang.String` | `RESO`
`static int` | `SND`
`static java.lang.String` | `SONG`
`static java.lang.String` | `ZCOD`

Constructor Summary
`BlorbFile(java.io.File f)`

Method Summary
`void` | `dumpBlorb()`
`BlorbFile.Chunk` | `getByUsage(int iUsage, int iNumber)`
`Looping` | `getLooping()`
`Palette` | `getPalette()`
`Pict` | `getPict(int id)`
`Resolution` | `getResolution()`
`Sound` | `getSound(int id)`
`java.util.Iterator` | `iterateByType(java.lang.String stType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PICT

    public static final int PICT

See Also:
  Constant Field Values

### SND

    public static final int SND

See Also:
  Constant Field Values

### EXEC

    public static final int EXEC

See Also:
  Constant Field Values

### ZCOD

    public static final java.lang.String ZCOD

See Also:
  Constant Field Values

### GLUL

    public static final java.lang.String GLUL

See Also:
  Constant Field Values

### FORM

    public static final java.lang.String FORM

See Also:
  Constant Field Values

### RELN

    public static final java.lang.String RELN

See Also:
  Constant Field Values

### IFHD

    public static final java.lang.String IFHD

See Also:
  Constant Field Values

### PLTE

    public static final java.lang.String PLTE

See Also:
  Constant Field Values

### RESO

    public static final java.lang.String RESO

See Also:
  Constant Field Values

### LOOP

    public static final java.lang.String LOOP

See Also:
  Constant Field Values

### AUTH

    public static final java.lang.String AUTH

See Also:
  Constant Field Values

### COPY

    public static final java.lang.String COPY

See Also:
  Constant Field Values

### ANNO

    public static final java.lang.String ANNO

See Also:
  Constant Field Values

### AIFF

    public static final java.lang.String AIFF

See Also:
  Constant Field Values

### MOD

    public static final java.lang.String MOD

See Also:
  Constant Field Values

### SONG

    public static final java.lang.String SONG

See Also:
  Constant Field Values

### JPEG

    public static final java.lang.String JPEG

See Also:
  Constant Field Values

### PNG

    public static final java.lang.String PNG

See Also:
  Constant Field Values

Constructor Detail

### BlorbFile

    public BlorbFile(java.io.File f)
              throws java.io.FileNotFoundException,
                     java.io.IOException

Method Detail

### dumpBlorb

    public void dumpBlorb()

### iterateByType

    public java.util.Iterator iterateByType(java.lang.String stType)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getByUsage

    public BlorbFile.Chunk getByUsage(int iUsage,
                                      int iNumber)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLooping

    public Looping getLooping()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getResolution

    public Resolution getResolution()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSound

    public Sound getSound(int id)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPict

    public Pict getPict(int id)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPalette

    public Palette getPalette()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD